Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.utils
Class FileUtils

    java.lang.Object
      org.apache.lucene.benchmark.byTask.utils.FileUtils

    public class FileUtils

extends Object

File utilities.

Constructor Summary
`FileUtils()`

Method Summary
`static boolean` | `fullyDelete(File dir)` Delete files and directories, even if non-empty.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### fullyDelete

    public static boolean fullyDelete(File dir)
                               throws IOException

  Delete files and directories, even if non-empty.

  Parameters:
    `dir` - file or directory
  Returns:
    true on success, false if no or part of files have been deleted
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.